///
/// Power on Reset
///
/// @author Sasaji
/// @date   2016.05.17
///

`define POR_MAX 16'd48000	// 1ms

// power on reset
module POR
(
	input wire clk48,
	output wire por_n
);

reg  por_n_reg;
reg [15:0] por_count;
//
always @(posedge clk48)
begin
	if (por_count != `POR_MAX) begin
		por_n_reg <= 1'b0;
		por_count <= por_count + 16'h0001;
	end
	else begin
		por_n_reg <= 1'b1;
		por_count <= por_count;
	end
end
//
assign por_n = por_n_reg;

endmodule
